# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac::FrameComplexity Class Reference

`#include <rate_control.h>`

## Public Member Functions
| FrameComplexity ()
| Default constructor. More...
int | IComplexity ()
| Return the complexity of I frame. More...
int | L1Complexity ()
| Return the complexity of L1 frame. More...
int | L2Complexity ()
| Return the complexity of L2 frame. More...
void | SetIComplexity (int cpx)
| Set the complexity of I frame. More...
void | SetL1Complexity (int cpx)
| Set the complexity of L1 frame. More...
void | SetL2Complexity (int cpx)
| Set the complexity of L2 frame. More...

## Private Attributes
int | m_XI
| Complexity of I frame. More...
int | m_XL1
| Complexity of L1 frame. More...
int | m_XL2
| Complexity of L2 frame. More...

## Constructor & Destructor Documentation

## ◆ FrameComplexity()

dirac::FrameComplexity::FrameComplexity | ( |  | ) |

## Member Function Documentation

## ◆ IComplexity()

int dirac::FrameComplexity::IComplexity | ( |  | ) |
| inline

References m_XI.

## ◆ L1Complexity()

int dirac::FrameComplexity::L1Complexity | ( |  | ) |
| inline

References m_XL1.

## ◆ L2Complexity()

int dirac::FrameComplexity::L2Complexity | ( |  | ) |
| inline

References m_XL2.

## ◆ SetIComplexity()

void dirac::FrameComplexity::SetIComplexity | ( | int | cpx | ) |
| inline

References m_XI.

## ◆ SetL1Complexity()

void dirac::FrameComplexity::SetL1Complexity | ( | int | cpx | ) |
| inline

References m_XL1.

## ◆ SetL2Complexity()

void dirac::FrameComplexity::SetL2Complexity | ( | int | cpx | ) |
| inline

References m_XL2.

## Member Data Documentation

## ◆ m_XI

int dirac::FrameComplexity::m_XI
| private

Referenced by IComplexity(), and SetIComplexity().

## ◆ m_XL1

int dirac::FrameComplexity::m_XL1
| private

Referenced by L1Complexity(), and SetL1Complexity().

## ◆ m_XL2

int dirac::FrameComplexity::m_XL2
| private

Referenced by L2Complexity(), and SetL2Complexity().

The documentation for this class was generated from the following file:

- rate_control.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.